> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the WhatsApp Business account overview

> Account info, health, messaging limit, billing state and recent account activity, read through a Redis cache.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/account
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/account:
    get:
      tags:
        - Orgs Connections
      summary: Get the WhatsApp Business account overview
      description: >-
        Account info, health, messaging limit, billing state and recent account
        activity, read through a Redis cache.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: false
          name: waba_id
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppAccountSchema'
components:
  schemas:
    WhatsAppAccountSchema:
      type: object
      properties:
        waba_id:
          type: string
        business_id:
          type: string
        name:
          type: string
        status:
          type: string
        business_verification_status:
          type: string
        health:
          $ref: '#/components/schemas/WhatsAppHealthSchema'
        currency:
          type: string
        timezone_id:
          type: string
        country:
          type: string
        ownership_type:
          type: string
        messaging_limit:
          type: string
        funding_attached:
          type: boolean
        purchase_order_number:
          type: string
        activity:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppAccountEventSchema'
      required:
        - waba_id
        - activity
    WhatsAppHealthSchema:
      type: object
      properties:
        can_send_message:
          type: string
        entities:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppHealthEntitySchema'
    WhatsAppAccountEventSchema:
      type: object
      properties:
        id:
          type: string
        field:
          type: string
        data:
          type: object
          additionalProperties: {}
        at:
          type: number
      required:
        - id
        - field
        - at
    WhatsAppHealthEntitySchema:
      type: object
      properties:
        entity_type:
          type: string
        id:
          type: string
        can_send_message:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WhatsAppHealthErrorSchema'
        additional_info:
          type: array
          items:
            type: string
    WhatsAppHealthErrorSchema:
      type: object
      properties:
        error_code:
          type: number
        error_description:
          type: string
        possible_solution:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````